# Lpaisais::API

A ruby gem to access Latvian postal service address API

## Installation

Add this line to your application's Gemfile:

    gem 'lpaisais-api'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install lpaisais-api

## Usage example

``` ruby
require 'lpaisais/api'

# provide configuration information
Lpaisais::API.configure do |config|
  config.wsdl = 'wsdl_url'
  config.key = 'server_key'
end

# Configuration with timeout, default value is 2 seconds
Lpaisais::API.configure do |config|
  config.wsdl = 'wsdl_url'
  config.key = 'server_key'
  config.timeout = 5
end

# call without parameters, for initial data from server
Lpaisais::API.call
# =>
{
  "addr_elem_region" => [""],
  "addr_elem_city" => {...},
  ...
}

# call with parameters, Lpaisais::API.call(udpdate, data)
#   - update (string or symbol): updated element, in this case :addr_elem_type
#   - data (hash): information to query from server
response = Lpaisais::API.call(:addr_elem_type, { addr_elem_city: 178 })
# =>
{
  "addr_elem_region" => [""],
  "addr_elem_street" => {"0" => "Street X"},
  ...
}
```

For further information on Lpaisais response structure, please visit the server's website.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/lpaisais-api/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
